com.sun.messaging.jms.management.server

## Class ChangeMasterBrokerResultInfo

- java.lang.Object
- - com.sun.messaging.jms.management.server.ChangeMasterBrokerResultInfo

All Implemented Interfaces:
  Serializable

    public class ChangeMasterBrokerResultInfo
    extends Object
    implements Serializable

This class contains constants/names for fields in the CompositeData that is returned by the changeMasterBroker operation of the Cluster Monitor and Cluster Config MBeans.

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `DETAIL_MESSAGE` DetailMessage of any BrokerException thrown when performing this operation
`static String` `STATUS_CODE` StatusCode of any BrokerException thrown when performing this operation
`static String` `SUCCESS` Whether an BrokerException was thrown whilst performing this operation

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SUCCESS

    public static final String SUCCESS

Whether an BrokerException was thrown whilst performing this operation

See Also:
  Constant Field Values

#### STATUS_CODE

    public static final String STATUS_CODE

StatusCode of any BrokerException thrown when performing this operation

See Also:
  Constant Field Values

#### DETAIL_MESSAGE

    public static final String DETAIL_MESSAGE

DetailMessage of any BrokerException thrown when performing this operation

See Also:
  Constant Field Values